function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(21,5,3,5,false,586,60,104,92,1001); -- Корова бык
	-- create_mini(8128);
	-- finish_mini_game(true);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;		
	    BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("hotel",15,0);
		DarkScreen(false);
		if flags.minicomplete then
		    StopEmiter("Apt");
			collaps_obj(38,0,0,0,0);
			AddElement("gr",38);
			setcolor(38,0,0,0,0.5,1);
			MoveObjectToTree(38); 
	--		Set_Cursor(71,3)
			Set_Cursor(167,3)
			savegame(SaveLevel())
		return;end;
	return; end;
	
	if sender==36 then
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("hotel");
		return;end;
	return;end
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete=true;
		StartTimer(2100,2)
		playeffect("miniC");
		BlockCursor(true);

	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"1",100,"messageinfo")
		return;end;		
	if id==5000 and skipping then
		playeffect("skip");
		finish_mini_game(true);
	return;end;
	if id==1000 then
		finish_mini_game(false);
		playeffect("close");
		clear_satelite_leaf("hotel");
		DeleteResource("m_bg1");
		DeleteResource("m_things");
		DeleteResource("m_notes");
		DeleteResource("m_marks");
		DeleteResource("m_btn");
	return;end;
	if id>=1001 and id<=1005
		then
			fGame=true;
			add_to_mouse(id);
--			mousepresed=true;
			objectid=id;
		end	
	return; end;


	if sender==6 --Отпустили левую кнопку мышки
	then
		if fGame==true
		  then
		    playeffect("liq");
		    RemoveFromMouse(objectid);			
			check_mini_game_CAB(objectid);
			fGame=false;
			objectid=0;
		
		end;	
	return; end;	
		
		
end;
function mini_delete ()

end;